var angular = require('angular');
require('../modules');
require('./Timer');

var module = angular.module('commons.services.sinoclick');

module.factory('sinoClickService', function(Timer) {
  var currentTaskId = null;
  return {
    /**
     * 设置当前正在执行显示等待画面的任务。
     *
     * @param {String} taskId 任务id
     */
    setCurrentTask: function(taskId) {
      Timer.clear(currentTaskId);
      currentTaskId = taskId;
    },

    /**
     * 清除/取消当前正在执行显示等待画面的任务。
     */
    clearCurrentTask: function() {
      Timer.clear(currentTaskId);
      currentTaskId = null;
    }
  };
});
